import { OnInit, OnDestroy, QueryList, AfterViewInit } from "@angular/core";
import { UntypedFormGroup, AbstractControl } from "@angular/forms";
import { ElementComponent } from "../element/element.component";
import * as i0 from "@angular/core";
export declare class EagnaFormComponent implements OnInit, OnDestroy, AfterViewInit {
    frmGroup: UntypedFormGroup;
    frmTemplate: any[];
    flexContent: boolean;
    flexContentRow: boolean;
    isDynamic: boolean;
    private _subs;
    els: QueryList<ElementComponent>;
    constructor();
    private _confirmSubscription;
    ngOnInit(): void;
    removeArray(ftItem: any, index?: number): void;
    private _performSave;
    startEditing(formField: any, formCtrl: AbstractControl, isEmpty?: boolean): void;
    stopEditing(formField: any, formCtrl: AbstractControl, toSave?: boolean): void;
    stopListEditables(formField: any): void;
    addArray(ftItem: any): void;
    getErrorMessage(frmControl: AbstractControl): any;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    autoSaveElement(fte: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EagnaFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EagnaFormComponent, "eagna-form", never, { "frmGroup": "frmGroup"; "frmTemplate": "frmTemplate"; "flexContent": "flexContent"; "flexContentRow": "flexContentRow"; "isDynamic": "isDynamic"; }, {}, never, ["div.content-projection", "div.list-content-projection", "*"], false>;
}
